---------------------
PatchSet 9609 
Date: 2007/05/15 01:38:31
Author: hno
Branch: s26_logfile_daemon
Tag: (none) 
Log:
Updated to build in current HEAD

Members: 
	src/Makefile.am:1.44.2.6->1.44.2.7 
	src/logfile.c:1.12.2.14->1.12.2.15 
	src/logfile_mod_daemon.c:1.1.2.2->1.1.2.3 
	src/logfile_mod_daemon.h:1.1->1.1.2.1 
	src/logfile_mod_stdio.c:1.1.2.3->1.1.2.4 
	src/logfile_mod_stdio.h:1.1->1.1.2.1 
	src/logfile_mod_syslog.c:1.1.2.3->1.1.2.4 
	src/logfile_mod_syslog.h:1.1->1.1.2.1 

Index: squid/src/Makefile.am
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Makefile.am,v
retrieving revision 1.44.2.6
retrieving revision 1.44.2.7
diff -u -r1.44.2.6 -r1.44.2.7
--- squid/src/Makefile.am	15 May 2007 01:20:28 -0000	1.44.2.6
+++ squid/src/Makefile.am	15 May 2007 01:38:31 -0000	1.44.2.7
@@ -195,8 +195,11 @@
 	locrewrite.c \
 	logfile.c \
 	logfile_mod_daemon.c \
+	logfile_mod_daemon.h \
 	logfile_mod_stdio.c \
+	logfile_mod_stdio.h \
 	logfile_mod_syslog.c \
+	logfile_mod_syslog.h \
 	main.c \
 	mem.c \
 	MemPool.c \
Index: squid/src/logfile.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/logfile.c,v
retrieving revision 1.12.2.14
retrieving revision 1.12.2.15
diff -u -r1.12.2.14 -r1.12.2.15
--- squid/src/logfile.c	6 Sep 2006 09:52:15 -0000	1.12.2.14
+++ squid/src/logfile.c	15 May 2007 01:38:31 -0000	1.12.2.15
@@ -34,9 +34,9 @@
 
 #include "squid.h"
 
-extern int logfile_mod_daemon_open(Logfile *lf, const char *path, size_t bufsz, int fatal_flag);
-extern int logfile_mod_syslog_open(Logfile *lf, const char *path, size_t bufsz, int fatal_flag);
-extern int logfile_mod_stdio_open(Logfile *lf, const char *path, size_t bufsz, int fatal_flag);
+#include "logfile_mod_daemon.h"
+#include "logfile_mod_syslog.h"
+#include "logfile_mod_stdio.h"
 
 /* External code */
 
Index: squid/src/logfile_mod_daemon.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Attic/logfile_mod_daemon.c,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid/src/logfile_mod_daemon.c	6 Sep 2006 09:01:34 -0000	1.1.2.2
+++ squid/src/logfile_mod_daemon.c	15 May 2007 01:38:31 -0000	1.1.2.3
@@ -1,5 +1,5 @@
 /*
- * $Id: logfile_mod_daemon.c,v 1.1.2.2 2006/09/06 09:01:34 adri Exp $
+ * $Id: logfile_mod_daemon.c,v 1.1.2.3 2007/05/15 01:38:31 hno Exp $
  *
  * DEBUG: section 50    Log file handling
  * AUTHOR: Duane Wessels
@@ -33,6 +33,7 @@
  */
 
 #include "squid.h"
+#include "logfile_mod_daemon.h"
 
 /* How many buffers to keep before we say we've buffered too much */
 #define	LOGFILE_MAXBUFS		128
@@ -234,7 +235,7 @@
 	args[0] = "(logfile-daemon)";
 	args[1] = path;
 	args[2] = NULL;
-	ll->pid = ipcCreate(IPC_STREAM, Config.Program.logfile_daemon, args, "logfile-daemon", &ll->rfd, &ll->wfd);
+	ll->pid = ipcCreate(IPC_STREAM, Config.Program.logfile_daemon, args, "logfile-daemon", &ll->rfd, &ll->wfd, NULL);
 	if (ll->pid < 0)
 	    fatal("Couldn't start logfile helper");
     }
--- /dev/null	Sun Jul  1 00:19:49 2007
+++ squid/src/logfile_mod_daemon.h	Sun Jul  1 00:19:49 2007
@@ -0,0 +1,35 @@
+/*
+ * $Id: logfile_mod_daemon.h,v 1.1.2.1 2007/05/15 01:38:31 hno Exp $
+ *
+ * DEBUG: section 50    Log file handling
+ * AUTHOR: Duane Wessels
+ *
+ * SQUID Web Proxy Cache          http://www.squid-cache.org/
+ * ----------------------------------------------------------
+ *
+ *  Squid is the result of efforts by numerous individuals from
+ *  the Internet community; see the CONTRIBUTORS file for full
+ *  details.   Many organizations have provided support for Squid's
+ *  development; see the SPONSORS file for full details.  Squid is
+ *  Copyrighted (C) 2001 by the Regents of the University of
+ *  California; see the COPYRIGHT file for full details.  Squid
+ *  incorporates software developed and/or copyrighted by other
+ *  sources; see the CREDITS file for full details.
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *  
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *  
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
+ *
+ */
+
+extern int logfile_mod_daemon_open(Logfile *lf, const char *path, size_t bufsz, int fatal_flag);
Index: squid/src/logfile_mod_stdio.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Attic/logfile_mod_stdio.c,v
retrieving revision 1.1.2.3
retrieving revision 1.1.2.4
diff -u -r1.1.2.3 -r1.1.2.4
--- squid/src/logfile_mod_stdio.c	6 Sep 2006 09:58:16 -0000	1.1.2.3
+++ squid/src/logfile_mod_stdio.c	15 May 2007 01:38:31 -0000	1.1.2.4
@@ -1,5 +1,5 @@
 /*
- * $Id: logfile_mod_stdio.c,v 1.1.2.3 2006/09/06 09:58:16 adri Exp $
+ * $Id: logfile_mod_stdio.c,v 1.1.2.4 2007/05/15 01:38:31 hno Exp $
  *
  * DEBUG: section 50    Log file handling
  * AUTHOR: Duane Wessels
@@ -33,6 +33,7 @@
  */
 
 #include "squid.h"
+#include "logfile_mod_stdio.h"
 
 typedef struct {
 	int fd;
--- /dev/null	Sun Jul  1 00:19:49 2007
+++ squid/src/logfile_mod_stdio.h	Sun Jul  1 00:19:49 2007
@@ -0,0 +1,35 @@
+/*
+ * $Id: logfile_mod_stdio.h,v 1.1.2.1 2007/05/15 01:38:31 hno Exp $
+ *
+ * DEBUG: section 50    Log file handling
+ * AUTHOR: Duane Wessels
+ *
+ * SQUID Web Proxy Cache          http://www.squid-cache.org/
+ * ----------------------------------------------------------
+ *
+ *  Squid is the result of efforts by numerous individuals from
+ *  the Internet community; see the CONTRIBUTORS file for full
+ *  details.   Many organizations have provided support for Squid's
+ *  development; see the SPONSORS file for full details.  Squid is
+ *  Copyrighted (C) 2001 by the Regents of the University of
+ *  California; see the COPYRIGHT file for full details.  Squid
+ *  incorporates software developed and/or copyrighted by other
+ *  sources; see the CREDITS file for full details.
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *  
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *  
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
+ *
+ */
+
+extern int logfile_mod_stdio_open(Logfile *lf, const char *path, size_t bufsz, int fatal_flag);
Index: squid/src/logfile_mod_syslog.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Attic/logfile_mod_syslog.c,v
retrieving revision 1.1.2.3
retrieving revision 1.1.2.4
diff -u -r1.1.2.3 -r1.1.2.4
--- squid/src/logfile_mod_syslog.c	6 Sep 2006 09:52:15 -0000	1.1.2.3
+++ squid/src/logfile_mod_syslog.c	15 May 2007 01:38:31 -0000	1.1.2.4
@@ -1,5 +1,5 @@
 /*
- * $Id: logfile_mod_syslog.c,v 1.1.2.3 2006/09/06 09:52:15 adri Exp $
+ * $Id: logfile_mod_syslog.c,v 1.1.2.4 2007/05/15 01:38:31 hno Exp $
  *
  * DEBUG: section 50    Log file handling
  * AUTHOR: Duane Wessels
@@ -33,6 +33,7 @@
  */
 
 #include "squid.h"
+#include "logfile_mod_syslog.h"
 
 /* Define LOG_AUTHPRIV as LOG_AUTH on systems still using the old deprecated LOG_AUTH */
 #if !defined(LOG_AUTHPRIV) && defined(LOG_AUTH)
--- /dev/null	Sun Jul  1 00:19:49 2007
+++ squid/src/logfile_mod_syslog.h	Sun Jul  1 00:19:49 2007
@@ -0,0 +1,35 @@
+/*
+ * $Id: logfile_mod_syslog.h,v 1.1.2.1 2007/05/15 01:38:31 hno Exp $
+ *
+ * DEBUG: section 50    Log file handling
+ * AUTHOR: Duane Wessels
+ *
+ * SQUID Web Proxy Cache          http://www.squid-cache.org/
+ * ----------------------------------------------------------
+ *
+ *  Squid is the result of efforts by numerous individuals from
+ *  the Internet community; see the CONTRIBUTORS file for full
+ *  details.   Many organizations have provided support for Squid's
+ *  development; see the SPONSORS file for full details.  Squid is
+ *  Copyrighted (C) 2001 by the Regents of the University of
+ *  California; see the COPYRIGHT file for full details.  Squid
+ *  incorporates software developed and/or copyrighted by other
+ *  sources; see the CREDITS file for full details.
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *  
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *  
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
+ *
+ */
+
+extern int logfile_mod_syslog_open(Logfile *lf, const char *path, size_t bufsz, int fatal_flag);
